<?php

add_action( 'wp_enqueue_scripts', 'imate_iconpicker_css' );
function imate_iconpicker_css() {
	wp_enqueue_style( 'imate-iconpicker', get_template_directory_uri().'/css/iconfont.css');
}

add_action( 'admin_enqueue_scripts', 'load_iconpicker_styles', 100 );
function load_iconpicker_styles() {
	wp_enqueue_style( 'imate-iconpicker', get_template_directory_uri().'/css/iconfont.css');
}

add_filter( 'vc_iconpicker-type-fontawesome', 'imate_iconpicker' );
/**
 * Material icon set from Google
 * @since 5.0
 *
 * @param $icons
 *
 * @return array
 */
function imate_iconpicker( $icons ) {
	$imate = array(
		'Base Icons (iMate Pack)' => array(
			array( 'base-icons-avatar' => 'avatar' ),
			array( 'base-icons-avatar-1' => 'avatar' ),
			array( 'base-icons-back' => 'back' ),
			array( 'base-icons-book' => 'book' ),
			array( 'base-icons-cancel' => 'cancel' ),
			array( 'base-icons-chat' => 'chat' ),
			array( 'base-icons-chat-1' => 'chat' ),
			array( 'base-icons-chat-2' => 'chat' ),
			array( 'base-icons-copy' => 'copy' ),
			array( 'base-icons-dislike' => 'dislike' ),
			array( 'base-icons-download' => 'download' ),
			array( 'base-icons-download-1' => 'download' ),
			array( 'base-icons-edit' => 'edit' ),
			array( 'base-icons-envelope' => 'envelope' ),
			array( 'base-icons-folder' => 'folder' ),
			array( 'base-icons-garbage' => 'garbage' ),
			array( 'base-icons-glasses' => 'glasses' ),
			array( 'base-icons-hand' => 'hand' ),
			array( 'base-icons-headphones' => 'headphones' ),
			array( 'base-icons-heart' => 'heart' ),
			array( 'base-icons-house' => 'house' ),
			array( 'base-icons-like' => 'like' ),
			array( 'base-icons-link' => 'link' ),
			array( 'base-icons-logout' => 'logout' ),
			array( 'base-icons-magnifying-glass' => 'magnifying glass' ),
			array( 'base-icons-monitor' => 'monitor' ),
			array( 'base-icons-musical-note' => 'musical note' ),
			array( 'base-icons-next' => 'next' ),
			array( 'base-icons-next-1' => 'next' ),
			array( 'base-icons-padlock' => 'padlock' ),
			array( 'base-icons-paper-plane' => 'paper plane' ),
			array( 'base-icons-phone-call' => 'phone call' ),
			array( 'base-icons-photo-camera' => 'photo camera' ),
			array( 'base-icons-pie-chart' => 'pie chart' ),
			array( 'base-icons-piggy-bank' => 'piggy bank' ),
			array( 'base-icons-placeholder' => 'placeholder' ),
			array( 'base-icons-printer' => 'printer' ),
			array( 'base-icons-reload' => 'reload' ),
			array( 'base-icons-settings' => 'settings' ),
			array( 'base-icons-settings-1' => 'settings' ),
			array( 'base-icons-share' => 'share' ),
			array( 'base-icons-shopping-bag' => 'shopping bag' ),
			array( 'base-icons-shopping-cart' => 'shopping cart' ),
			array( 'base-icons-shuffle' => 'shuffle' ),
			array( 'base-icons-speaker' => 'speaker' ),
			array( 'base-icons-star' => 'star' ),
			array( 'base-icons-tag' => 'tag' ),
			array( 'base-icons-upload' => 'upload' ),
			array( 'base-icons-upload-1' => 'upload' ),
			array( 'base-icons-vector' => 'vector' ),
		),
		'Social Media Elements (iMate Pack)' => array(
			array( 'social-media-elements-addthis' => 'addthis' ),
			array( 'social-media-elements-amazon' => 'amazon' ),
			array( 'social-media-elements-bebo' => 'bebo' ),
			array( 'social-media-elements-behance' => 'behance' ),
			array( 'social-media-elements-bing' => 'bing' ),
			array( 'social-media-elements-blogger' => 'blogger' ),
			array( 'social-media-elements-delicious' => 'delicious' ),
			array( 'social-media-elements-deviantart' => 'deviantart' ),
			array( 'social-media-elements-digg' => 'digg' ),
			array( 'social-media-elements-dribble' => 'dribble' ),
			array( 'social-media-elements-dropbox' => 'dropbox' ),
			array( 'social-media-elements-ebay' => 'ebay' ),
			array( 'social-media-elements-evernote' => 'evernote' ),
			array( 'social-media-elements-facebook' => 'facebook' ),
			array( 'social-media-elements-flickr' => 'flickr' ),
			array( 'social-media-elements-forrst' => 'forrst' ),
			array( 'social-media-elements-foursquare' => 'foursquare' ),
			array( 'social-media-elements-foursquare-1' => 'foursquare' ),
			array( 'social-media-elements-google-plus' => 'google plus' ),
			array( 'social-media-elements-grooveshark' => 'grooveshark' ),
			array( 'social-media-elements-html5' => 'html5' ),
			array( 'social-media-elements-instagram' => 'instagram' ),
			array( 'social-media-elements-kickstarter' => 'kickstarter' ),
			array( 'social-media-elements-lastfm' => 'lastfm' ),
			array( 'social-media-elements-linkedin' => 'linkedin' ),
			array( 'social-media-elements-livejournal' => 'livejournal' ),
			array( 'social-media-elements-myspace' => 'myspace' ),
			array( 'social-media-elements-opera' => 'opera' ),
			array( 'social-media-elements-paypal' => 'paypal' ),
			array( 'social-media-elements-picasa' => 'picasa' ),
			array( 'social-media-elements-pinterest' => 'pinterest' ),
			array( 'social-media-elements-rss' => 'rss' ),
			array( 'social-media-elements-sharethis' => 'sharethis' ),
			array( 'social-media-elements-skype' => 'skype' ),
			array( 'social-media-elements-soundcloud' => 'soundcloud' ),
			array( 'social-media-elements-stumbleupon' => 'stumbleupon' ),
			array( 'social-media-elements-technorati' => 'technorati' ),
			array( 'social-media-elements-telegram' => 'telegram' ),
			array( 'social-media-elements-tumblr' => 'tumblr' ),
			array( 'social-media-elements-twitter' => 'twitter' ),
			array( 'social-media-elements-viber' => 'viber' ),
			array( 'social-media-elements-vimeo' => 'vimeo' ),
			array( 'social-media-elements-vk' => 'vk' ),
			array( 'social-media-elements-wikipedia' => 'wikipedia' ),
			array( 'social-media-elements-wordpress' => 'wordpress' ),
			array( 'social-media-elements-xing' => 'xing' ),
			array( 'social-media-elements-yahoo' => 'yahoo' ),
			array( 'social-media-elements-yandex' => 'yandex' ),
			array( 'social-media-elements-youtube' => 'youtube' ),
			array( 'social-media-elements-zerply' => 'zerply' ),
		),
		'Marketing (iMate Pack)' => array(
			array( 'marketing-icon-news' => 'news' ),
			array( 'marketing-icon-message' => 'message' ),
			array( 'marketing-icon-money' => 'money' ),
			array( 'marketing-icon-clock' => 'clock' ),
			array( 'marketing-icon-cloud' => 'cloud' ),
			array( 'marketing-icon-mobile' => 'mobile' ),
			array( 'marketing-icon-bulb' => 'bulb' ),
			array( 'marketing-icon-mouse' => 'mouse' ),
			array( 'marketing-icon-dartboard' => 'dartboard' ),
			array( 'marketing-icon-stats' => 'stats' ),
			array( 'marketing-icon-phone' => 'phone' ),
			array( 'marketing-icon-graph' => 'graph' ),
			array( 'marketing-icon-stats-1' => 'stats' ),
			array( 'marketing-icon-aim' => 'aim' ),
			array( 'marketing-icon-earn-money' => 'earn money' ),
			array( 'marketing-icon-grow-up' => 'grow up' ),
			array( 'marketing-icon-billboard' => 'billboard' ),
			array( 'marketing-icon-mobile-1' => 'mobile' ),
			array( 'marketing-icon-coding' => 'coding' ),
			array( 'marketing-icon-media' => 'media' ),
			array( 'marketing-icon-target' => 'target' ),
			array( 'marketing-icon-levels' => 'levels' ),
			array( 'marketing-icon-vision' => 'vision' ),
			array( 'marketing-icon-money-1' => 'money' ),
			array( 'marketing-icon-location' => 'location' ),
			array( 'marketing-icon-shopping-bag' => 'shopping bag' ),
			array( 'marketing-icon-briefcase' => 'briefcase' ),
			array( 'marketing-icon-time-management' => 'time management' ),
			array( 'marketing-icon-list' => 'list' ),
			array( 'marketing-icon-viral' => 'viral' ),
			array( 'marketing-icon-promotion' => 'promotion' ),
			array( 'marketing-icon-grow-up-1' => 'grow up' ),
			array( 'marketing-icon-international' => 'international' ),
			array( 'marketing-icon-commentary' => 'commentary' ),
			array( 'marketing-icon-stairs' => 'stairs' ),
			array( 'marketing-icon-like' => 'like' ),
			array( 'marketing-icon-conection' => 'conection' ),
			array( 'marketing-icon-world' => 'world' ),
			array( 'marketing-icon-earn-money-1' => 'earn money' ),
			array( 'marketing-icon-conversation' => 'conversation' ),
			array( 'marketing-icon-notes' => 'notes' ),
			array( 'marketing-icon-tag' => 'tag' ),
			array( 'marketing-icon-calculator' => 'calculator' ),
			array( 'marketing-icon-key' => 'key' ),
			array( 'marketing-icon-search' => 'search' ),
			array( 'marketing-icon-idea' => 'idea' ),
			array( 'marketing-icon-share' => 'share' ),
			array( 'marketing-icon-graph-1' => 'graph' ),
			array( 'marketing-icon-calendar' => 'calendar' ),
			array( 'marketing-icon-tools' => 'tools' ),
		),
		'Event (iMate Pack)' => array(
			array( 'event-icon-vip' => 'vip' ),
			array( 'event-icon-disco' => 'disco' ),
			array( 'event-icon-stopwatch' => 'stopwatch' ),
			array( 'event-icon-ice-cream' => 'ice cream' ),
			array( 'event-icon-list' => 'list' ),
			array( 'event-icon-book' => 'book' ),
			array( 'event-icon-sparkler' => 'sparkler' ),
			array( 'event-icon-champagne-1' => 'champagne' ),
			array( 'event-icon-invitation-1' => 'invitation' ),
			array( 'event-icon-party-whistle' => 'party whistle' ),
			array( 'event-icon-graduation' => 'graduation' ),
			array( 'event-icon-medal' => 'medal' ),
			array( 'event-icon-party' => 'party' ),
			array( 'event-icon-wedding-rings' => 'wedding rings' ),
			array( 'event-icon-bell' => 'bell' ),
			array( 'event-icon-bow' => 'bow' ),
			array( 'event-icon-award' => 'award' ),
			array( 'event-icon-crown' => 'crown' ),
			array( 'event-icon-hat' => 'hat' ),
			array( 'event-icon-ribbon' => 'ribbon' ),
			array( 'event-icon-tickets' => 'tickets' ),
			array( 'event-icon-notepad' => 'notepad' ),
			array( 'event-icon-popcorn' => 'popcorn' ),
			array( 'event-icon-microphone' => 'microphone' ),
			array( 'event-icon-cake' => 'cake' ),
			array( 'event-icon-red-carpet' => 'red carpet' ),
			array( 'event-icon-press' => 'press' ),
			array( 'event-icon-shaker' => 'shaker' ),
			array( 'event-icon-magician' => 'magician' ),
			array( 'event-icon-beer' => 'beer' ),
			array( 'event-icon-party-hat' => 'party hat' ),
			array( 'event-icon-cocktail' => 'cocktail' ),
			array( 'event-icon-dinner' => 'dinner' ),
			array( 'event-icon-music' => 'music' ),
			array( 'event-icon-toast' => 'toast' ),
			array( 'event-icon-champagne' => 'champagne' ),
			array( 'event-icon-vinyl' => 'vinyl' ),
			array( 'event-icon-photograph' => 'photograph' ),
			array( 'event-icon-envelope' => 'envelope' ),
			array( 'event-icon-invitation' => 'invitation' ),
			array( 'event-icon-firework' => 'firework' ),
			array( 'event-icon-gift' => 'gift' ),
			array( 'event-icon-diamond' => 'diamond' ),
			array( 'event-icon-checklist' => 'checklist' ),
			array( 'event-icon-candle' => 'candle' ),
			array( 'event-icon-speaker' => 'speaker' ),
			array( 'event-icon-camera' => 'camera' ),
			array( 'event-icon-garlands' => 'garlands' ),
			array( 'event-icon-balloons' => 'balloons' ),
			array( 'event-icon-calendar' => 'calendar' ),
		),
		'Web Design (iMate Pack)' => array(
			array( 'web-design-icon-coding' => 'coding' ),
			array( 'web-design-icon-layout' => 'layout' ),
			array( 'web-design-icon-project' => 'project' ),
			array( 'web-design-icon-design' => 'design' ),
			array( 'web-design-icon-responsive' => 'responsive' ),
			array( 'web-design-icon-server' => 'server' ),
			array( 'web-design-icon-resize' => 'resize' ),
			array( 'web-design-icon-web-development' => 'web development' ),
			array( 'web-design-icon-pipette' => 'pipette' ),
			array( 'web-design-icon-download' => 'download' ),
			array( 'web-design-icon-view' => 'view' ),
			array( 'web-design-icon-pixel' => 'pixel' ),
			array( 'web-design-icon-layers' => 'layers' ),
			array( 'web-design-icon-portfolio' => 'portfolio' ),
			array( 'web-design-icon-app-development' => 'app development' ),
			array( 'web-design-icon-internet' => 'internet' ),
			array( 'web-design-icon-inspiration' => 'inspiration' ),
			array( 'web-design-icon-vector' => 'vector' ),
			array( 'web-design-icon-management' => 'management' ),
			array( 'web-design-icon-document' => 'document' ),
			array( 'web-design-icon-branding' => 'branding' ),
			array( 'web-design-icon-access' => 'access' ),
			array( 'web-design-icon-cms' => 'cms' ),
			array( 'web-design-icon-link' => 'link' ),
			array( 'web-design-icon-mobile-app' => 'mobile app' ),
			array( 'web-design-icon-3d-modeling' => '3d modeling' ),
			array( 'web-design-icon-video-editing' => 'video editing' ),
			array( 'web-design-icon-typography' => 'typography' ),
			array( 'web-design-icon-settings' => 'settings' ),
			array( 'web-design-icon-upload' => 'upload' ),
			array( 'web-design-icon-conversation' => 'conversation' ),
			array( 'web-design-icon-settings-1' => 'settings' ),
			array( 'web-design-icon-css' => 'css' ),
			array( 'web-design-icon-usability' => 'usability' ),
			array( 'web-design-icon-testing' => 'testing' ),
			array( 'web-design-icon-content' => 'content' ),
			array( 'web-design-icon-wireframe' => 'wireframe' ),
			array( 'web-design-icon-creativity' => 'creativity' ),
			array( 'web-design-icon-sharing' => 'sharing' ),
			array( 'web-design-icon-timer' => 'timer' ),
			array( 'web-design-icon-pyramid' => 'pyramid' ),
			array( 'web-design-icon-solution' => 'solution' ),
			array( 'web-design-icon-target' => 'target' ),
			array( 'web-design-icon-photo-camera' => 'photo camera' ),
			array( 'web-design-icon-diamond' => 'diamond' ),
			array( 'web-design-icon-prototype' => 'prototype' ),
			array( 'web-design-icon-wireframes' => 'wireframes' ),
			array( 'web-design-icon-launch' => 'launch' ),
			array( 'web-design-icon-design-1' => 'design' ),
			array( 'web-design-icon-analytics' => 'analytics' ),
		),
		'Material Design (iMate Pack)' => array(
			array( 'material-design-icon-add-alarm-button' => 'add alarm button' ),
			array( 'material-design-icon-add-button-inside-black-circle' => 'add button inside black circle' ),
			array( 'material-design-icon-add-comment-button' => 'add comment button' ),
			array( 'material-design-icon-add-label-button' => 'add label button' ),
			array( 'material-design-icon-add-plus-button' => 'add plus button' ),
			array( 'material-design-icon-add-to-queue-button' => 'add to queue button' ),
			array( 'material-design-icon-add-user-button' => 'add user button' ),
			array( 'material-design-icon-adjust-button-with-plus-and-minus' => 'adjust button with plus and minus' ),
			array( 'material-design-icon-airplane-mode-on-symbol' => 'airplane mode on symbol' ),
			array( 'material-design-icon-android-logo' => 'android logo' ),
			array( 'material-design-icon-android-logo-1' => 'android logo' ),
			array( 'material-design-icon-apple-accessibility' => 'apple accessibility' ),
			array( 'material-design-icon-attachment-clip' => 'attachment clip' ),
			array( 'material-design-icon-automatic-brightness' => 'automatic brightness' ),
			array( 'material-design-icon-automatic-flash-symbol' => 'automatic flash symbol' ),
			array( 'material-design-icon-auto-white-balance' => 'auto white balance' ),
			array( 'material-design-icon-back-arrow' => 'back arrow' ),
			array( 'material-design-icon-backspace-arrow' => 'backspace arrow' ),
			array( 'material-design-icon-bed-quilt' => 'bed quilt' ),
			array( 'material-design-icon-been-here-marker' => 'been here marker' ),
			array( 'material-design-icon-birthday-cake' => 'birthday cake' ),
			array( 'material-design-icon-black-bubble-speech' => 'black bubble speech' ),
			array( 'material-design-icon-black-check-box' => 'black check box' ),
			array( 'material-design-icon-black-check-box-with-white-check' => 'black check box with white check' ),
			array( 'material-design-icon-black-envelope-email-symbol' => 'black envelope email symbol' ),
			array( 'material-design-icon-black-keyboard-with-white-keys' => 'black keyboard with white keys' ),
			array( 'material-design-icon-black-plane' => 'black plane' ),
			array( 'material-design-icon-blank-check-box' => 'blank check box' ),
			array( 'material-design-icon-blank-frame' => 'blank frame' ),
			array( 'material-design-icon-blank-square' => 'blank square' ),
			array( 'material-design-icon-blogger-logo' => 'blogger logo' ),
			array( 'material-design-icon-blueetooth-logo' => 'blueetooth logo' ),
			array( 'material-design-icon-bluetooth-connected' => 'bluetooth connected' ),
			array( 'material-design-icon-bluetooth-disabled-button' => 'bluetooth disabled button' ),
			array( 'material-design-icon-bluetooth-searching-signal-indicator' => 'bluetooth searching signal indicator' ),
			array( 'material-design-icon-bluetooth-settings' => 'bluetooth settings' ),
			array( 'material-design-icon-bluetooth-signal-indicator' => 'bluetooth signal indicator' ),
			array( 'material-design-icon-bookmark-button' => 'bookmark button' ),
			array( 'material-design-icon-bookmark-button-1' => 'bookmark button' ),
			array( 'material-design-icon-bookmark-outline' => 'bookmark outline' ),
			array( 'material-design-icon-bookmark-ribbon' => 'bookmark ribbon' ),
			array( 'material-design-icon-briefcase-download-button-with-downwards-arrow' => 'briefcase download button with downwards arrow' ),
			array( 'material-design-icon-briefcase-with-tick-inside' => 'briefcase with tick inside' ),
			array( 'material-design-icon-brightness-control' => 'brightness control' ),
			array( 'material-design-icon-brochure-with-three-sections' => 'brochure with three sections' ),
			array( 'material-design-icon-bubble-speech-with-three-lines' => 'bubble speech with three lines' ),
			array( 'material-design-icon-bug-report-button' => 'bug report button' ),
			array( 'material-design-icon-burn-button' => 'burn button' ),
			array( 'material-design-icon-button-on' => 'button on' ),
			array( 'material-design-icon-call-forwarding' => 'call forwarding' ),
			array( 'material-design-icon-call-made-right-arrow' => 'call made right arrow' ),
			array( 'material-design-icon-call-received-arrow' => 'call received arrow' ),
			array( 'material-design-icon-camera' => 'camera' ),
			array( 'material-design-icon-camera-diaphragm' => 'camera diaphragm' ),
			array( 'material-design-icon-cancel-button' => 'cancel button' ),
			array( 'material-design-icon-caps-lock-button' => 'caps lock button' ),
			array( 'material-design-icon-caps-lock-button-1' => 'caps lock button' ),
			array( 'material-design-icon-car-changing-lanes' => 'car changing lanes' ),
			array( 'material-design-icon-car-directions' => 'car directions' ),
			array( 'material-design-icon-car-front' => 'car front' ),
			array( 'material-design-icon-cell-phone-high-signal-indicator' => 'cell phone high signal indicator' ),
			array( 'material-design-icon-cell-phone-vibration' => 'cell phone vibration' ),
			array( 'material-design-icon-cell-phone-with-blank-screen' => 'cell phone with blank screen' ),
			array( 'material-design-icon-change-power-options' => 'change power options' ),
			array( 'material-design-icon-chat-bubble' => 'chat bubble' ),
			array( 'material-design-icon-chat-bubbles' => 'chat bubbles' ),
			array( 'material-design-icon-check-box' => 'check box' ),
			array( 'material-design-icon-check-symbol' => 'check symbol' ),
			array( 'material-design-icon-chemistry-polymer' => 'chemistry polymer' ),
			array( 'material-design-icon-circle-outline' => 'circle outline' ),
			array( 'material-design-icon-circles-extend-button' => 'circles extend button' ),
			array( 'material-design-icon-circle-with-check-symbol' => 'circle with check symbol' ),
			array( 'material-design-icon-circumference' => 'circumference' ),
			array( 'material-design-icon-city-buildings-silhouette' => 'city buildings silhouette' ),
			array( 'material-design-icon-clapperboard' => 'clapperboard' ),
			array( 'material-design-icon-clapperboard-1' => 'clapperboard' ),
			array( 'material-design-icon-clear-button' => 'clear button' ),
			array( 'material-design-icon-clipboard-paste-button' => 'clipboard paste button' ),
			array( 'material-design-icon-clock-with-white-face' => 'clock with white face' ),
			array( 'material-design-icon-close-button' => 'close button' ),
			array( 'material-design-icon-closed-caption-logo' => 'closed caption logo' ),
			array( 'material-design-icon-cloud-backup-up-arrow' => 'cloud backup up arrow' ),
			array( 'material-design-icon-cloud-done-symbol' => 'cloud done symbol' ),
			array( 'material-design-icon-cloud-download' => 'cloud download' ),
			array( 'material-design-icon-cloud-off' => 'cloud off' ),
			array( 'material-design-icon-cloud-outline' => 'cloud outline' ),
			array( 'material-design-icon-cloud-symbol-inside-a-circle' => 'cloud symbol inside a circle' ),
			array( 'material-design-icon-compass-with-white-needles' => 'compass with white needles' ),
			array( 'material-design-icon-connection-indicator' => 'connection indicator' ),
			array( 'material-design-icon-copy-content' => 'copy content' ),
			array( 'material-design-icon-create-group-button' => 'create group button' ),
			array( 'material-design-icon-create-new-pencil-button' => 'create new pencil button' ),
			array( 'material-design-icon-credit-card' => 'credit card' ),
			array( 'material-design-icon-crop-button' => 'crop button' ),
			array( 'material-design-icon-crop-tool-button' => 'crop tool button' ),
			array( 'material-design-icon-cut-content-button' => 'cut content button' ),
			array( 'material-design-icon-dark-cloud' => 'dark cloud' ),
			array( 'material-design-icon-developer-mode-for-smartphones-and-tablets' => 'developer mode for smartphones and tablets' ),
			array( 'material-design-icon-device-connected' => 'device connected' ),
			array( 'material-design-icon-device-connected-1' => 'device connected' ),
			array( 'material-design-icon-disc-is-full' => 'disc is full' ),
			array( 'material-design-icon-do-not-disturb-rounded-sign' => 'do not disturb rounded sign' ),
			array( 'material-design-icon-double-tick-indicator' => 'double tick indicator' ),
			array( 'material-design-icon-download-button' => 'download button' ),
			array( 'material-design-icon-download-button-1' => 'download button' ),
			array( 'material-design-icon-download-to-smartphone' => 'download to smartphone' ),
			array( 'material-design-icon-downwards-arrow-key' => 'downwards arrow key' ),
			array( 'material-design-icon-drafts-evelope-button' => 'drafts evelope button' ),
			array( 'material-design-icon-drop-down-arrow' => 'drop down arrow' ),
			array( 'material-design-icon-drop-down-round-button' => 'drop down round button' ),
			array( 'material-design-icon-drop-up-arrow' => 'drop up arrow' ),
			array( 'material-design-icon-earth-grid-select-language-button' => 'earth grid select language button' ),
			array( 'material-design-icon-ellipsis' => 'ellipsis' ),
			array( 'material-design-icon-email-inbox' => 'email inbox' ),
			array( 'material-design-icon-emoticon-with-happy-face' => 'emoticon with happy face' ),
			array( 'material-design-icon-end-call-button' => 'end call button' ),
			array( 'material-design-icon-enter-arrow' => 'enter arrow' ),
			array( 'material-design-icon-exit-to-app-button' => 'exit to app button' ),
			array( 'material-design-icon-expand-arrow' => 'expand arrow' ),
			array( 'material-design-icon-expand-button' => 'expand button' ),
			array( 'material-design-icon-facebook-logo' => 'facebook logo' ),
			array( 'material-design-icon-failed-sms' => 'failed sms' ),
			array( 'material-design-icon-fast-forward-button' => 'fast forward button' ),
			array( 'material-design-icon-favorite-heart-button' => 'favorite heart button' ),
			array( 'material-design-icon-favorite-heart-outline-button' => 'favorite heart outline button' ),
			array( 'material-design-icon-filled-circle' => 'filled circle' ),
			array( 'material-design-icon-filled-cloud' => 'filled cloud' ),
			array( 'material-design-icon-filled-speaker-with-white-details' => 'filled speaker with white details' ),
			array( 'material-design-icon-film-roll' => 'film roll' ),
			array( 'material-design-icon-filter-results-button' => 'filter results button' ),
			array( 'material-design-icon-flash-off' => 'flash off' ),
			array( 'material-design-icon-flash-on-indicator' => 'flash on indicator' ),
			array( 'material-design-icon-folder-symbol' => 'folder symbol' ),
			array( 'material-design-icon-forward-arrow' => 'forward arrow' ),
			array( 'material-design-icon-forward-right-arrow-button' => 'forward right arrow button' ),
			array( 'material-design-icon-framed-portrait' => 'framed portrait' ),
			array( 'material-design-icon-front-bus' => 'front bus' ),
			array( 'material-design-icon-front-car' => 'front car' ),
			array( 'material-design-icon-front-store' => 'front store' ),
			array( 'material-design-icon-full-screen-exit' => 'full screen exit' ),
			array( 'material-design-icon-gamepad' => 'gamepad' ),
			array( 'material-design-icon-gamepad-1' => 'gamepad' ),
			array( 'material-design-icon-get-directions-button' => 'get directions button' ),
			array( 'material-design-icon-gmail-logo' => 'gmail logo' ),
			array( 'material-design-icon-go-back-left-arrow' => 'go back left arrow' ),
			array( 'material-design-icon-good-mood-emoticon' => 'good mood emoticon' ),
			array( 'material-design-icon-good-wifi-signal-with-three-bars' => 'good wifi signal with three bars' ),
			array( 'material-design-icon-google-apps-script-logo' => 'google apps script logo' ),
			array( 'material-design-icon-google-cast-logo' => 'google cast logo' ),
			array( 'material-design-icon-google-chrome-logo-filled-with-white-colour' => 'google chrome logo filled with white colour' ),
			array( 'material-design-icon-google-drive-document' => 'google drive document' ),
			array( 'material-design-icon-google-drive-file' => 'google drive file' ),
			array( 'material-design-icon-google-drive-folder-symbol' => 'google drive folder symbol' ),
			array( 'material-design-icon-google-drive-fusion-tables-logo' => 'google drive fusion tables logo' ),
			array( 'material-design-icon-google-drive-image' => 'google drive image' ),
			array( 'material-design-icon-google-drive-logo' => 'google drive logo' ),
			array( 'material-design-icon-google-drive-pdf-file' => 'google drive pdf file' ),
			array( 'material-design-icon-google-drive-presentation' => 'google drive presentation' ),
			array( 'material-design-icon-google-drive-spreadsheet' => 'google drive spreadsheet' ),
			array( 'material-design-icon-google-glass-logo' => 'google glass logo' ),
			array( 'material-design-icon-google-hangouts-logo' => 'google hangouts logo' ),
			array( 'material-design-icon-google-hangouts-turn-video-off' => 'google hangouts turn video off' ),
			array( 'material-design-icon-google-plus-logo' => 'google plus logo' ),
			array( 'material-design-icon-google-plus-logo-on-black-background' => 'google plus logo on black background' ),
			array( 'material-design-icon-google-plus-party-mode' => 'google plus party mode' ),
			array( 'material-design-icon-google-symbol' => 'google symbol' ),
			array( 'material-design-icon-gps-fixed-indicator' => 'gps fixed indicator' ),
			array( 'material-design-icon-gps-location-disabled' => 'gps location disabled' ),
			array( 'material-design-icon-gps-location-symbol' => 'gps location symbol' ),
			array( 'material-design-icon-gps-off' => 'gps off' ),
			array( 'material-design-icon-graduate-cap' => 'graduate cap' ),
			array( 'material-design-icon-half-filled-rating-star' => 'half filled rating star' ),
			array( 'material-design-icon-hangouts-videocall-button' => 'hangouts videocall button' ),
			array( 'material-design-icon-headset' => 'headset' ),
			array( 'material-design-icon-headset-with-microphone' => 'headset with microphone' ),
			array( 'material-design-icon-help-button-speech-bubble-with-question-mark' => 'help button speech bubble with question mark' ),
			array( 'material-design-icon-help-round-button' => 'help round button' ),
			array( 'material-design-icon-hide-keyboard-button' => 'hide keyboard button' ),
			array( 'material-design-icon-high-quality-button' => 'high quality button' ),
			array( 'material-design-icon-high-signal-indicator' => 'high signal indicator' ),
			array( 'material-design-icon-high-wifi-signal-indicator' => 'high wifi signal indicator' ),
			array( 'material-design-icon-history-clock-button' => 'history clock button' ),
			array( 'material-design-icon-home-button' => 'home button' ),
			array( 'material-design-icon-horizontal-line-remove-button' => 'horizontal line remove button' ),
			array( 'material-design-icon-hotel-with-three-floors' => 'hotel with three floors' ),
			array( 'material-design-icon-https-symbol' => 'https symbol' ),
			array( 'material-design-icon-import-export-arrows' => 'import export arrows' ),
			array( 'material-design-icon-insert-picture-button' => 'insert picture button' ),
			array( 'material-design-icon-instagram-logo' => 'instagram logo' ),
			array( 'material-design-icon-invert-colors-button' => 'invert colors button' ),
			array( 'material-design-icon-keyboard-left-arrow-button' => 'keyboard left arrow button' ),
			array( 'material-design-icon-keyboard-right-arrow-button' => 'keyboard right arrow button' ),
			array( 'material-design-icon-keyboard-right-arrow-button-1' => 'keyboard right arrow button' ),
			array( 'material-design-icon-label-right-arrow-outline' => 'label right arrow outline' ),
			array( 'material-design-icon-landscape-with-mountains' => 'landscape with mountains' ),
			array( 'material-design-icon-laptop-outline' => 'laptop outline' ),
			array( 'material-design-icon-left-arrow-key' => 'left arrow key' ),
			array( 'material-design-icon-left-arrow-key-1' => 'left arrow key' ),
			array( 'material-design-icon-left-arrow-missed-call' => 'left arrow missed call' ),
			array( 'material-design-icon-light-bulb-on' => 'light bulb on' ),
			array( 'material-design-icon-link-button' => 'link button' ),
			array( 'material-design-icon-linkedin-logo' => 'linkedin logo' ),
			array( 'material-design-icon-list-button-with-3-elements' => 'list button with 3 elements' ),
			array( 'material-design-icon-list-of-three-elements-on-black-background' => 'list of three elements on black background' ),
			array( 'material-design-icon-location-arrow' => 'location arrow' ),
			array( 'material-design-icon-locked-padlock' => 'locked padlock' ),
			array( 'material-design-icon-locked-padlock-outline' => 'locked padlock outline' ),
			array( 'material-design-icon-low-signal-indicator' => 'low signal indicator' ),
			array( 'material-design-icon-magic-wand-auto-fix-button' => 'magic wand auto fix button' ),
			array( 'material-design-icon-man-cycling' => 'man cycling' ),
			array( 'material-design-icon-man-walking-directions-button' => 'man walking directions button' ),
			array( 'material-design-icon-map-placeholder' => 'map placeholder' ),
			array( 'material-design-icon-map-symbol' => 'map symbol' ),
			array( 'material-design-icon-mark-as-favorite-star' => 'mark as favorite star' ),
			array( 'material-design-icon-mark-as-unread-envelope-button' => 'mark as unread envelope button' ),
			array( 'material-design-icon-medium-brightness-cogwheel' => 'medium brightness cogwheel' ),
			array( 'material-design-icon-medium-signal' => 'medium signal' ),
			array( 'material-design-icon-medium-wifi-signal-with-two-bars' => 'medium wifi signal with two bars' ),
			array( 'material-design-icon-memory-chip' => 'memory chip' ),
			array( 'material-design-icon-menu-button' => 'menu button' ),
			array( 'material-design-icon-merge-calls-arrow' => 'merge calls arrow' ),
			array( 'material-design-icon-microphone-of-voice' => 'microphone of voice' ),
			array( 'material-design-icon-microphone-voice-button' => 'microphone voice button' ),
			array( 'material-design-icon-microsoft-excel-logo' => 'microsoft excel logo' ),
			array( 'material-design-icon-microsoft-word-logo' => 'microsoft word logo' ),
			array( 'material-design-icon-missed-call-phone-receiver-with-left-arrow' => 'missed call phone receiver with left arrow' ),
			array( 'material-design-icon-mountain-range' => 'mountain range' ),
			array( 'material-design-icon-mountain-range-on-black-background' => 'mountain range on black background' ),
			array( 'material-design-icon-mountains-inside-a-circle' => 'mountains inside a circle' ),
			array( 'material-design-icon-mouse-filled-tool' => 'mouse filled tool' ),
			array( 'material-design-icon-move-window' => 'move window' ),
			array( 'material-design-icon-new-tab' => 'new tab' ),
			array( 'material-design-icon-new-tab-button' => 'new tab button' ),
			array( 'material-design-icon-nfc-near-field-communication' => 'nfc near field communication' ),
			array( 'material-design-icon-notifications-bell-button' => 'notifications bell button' ),
			array( 'material-design-icon-notifications-button' => 'notifications button' ),
			array( 'material-design-icon-notifications-silenced' => 'notifications silenced' ),
			array( 'material-design-icon-pages-of-google-plus' => 'pages of google plus' ),
			array( 'material-design-icon-painter-palette' => 'painter palette' ),
			array( 'material-design-icon-panoramic-mountain-photography' => 'panoramic mountain photography' ),
			array( 'material-design-icon-parking-sign' => 'parking sign' ),
			array( 'material-design-icon-pause-button' => 'pause button' ),
			array( 'material-design-icon-phone-call-button' => 'phone call button' ),
			array( 'material-design-icon-phone-locked' => 'phone locked' ),
			array( 'material-design-icon-phone-paused-indicator' => 'phone paused indicator' ),
			array( 'material-design-icon-phone-receiver-with-bluetooth-sign' => 'phone receiver with bluetooth sign' ),
			array( 'material-design-icon-phone-settings' => 'phone settings' ),
			array( 'material-design-icon-phone-working-indicator' => 'phone working indicator' ),
			array( 'material-design-icon-photo-album' => 'photo album' ),
			array( 'material-design-icon-photo-frame' => 'photo frame' ),
			array( 'material-design-icon-photographic-film-roll' => 'photographic film roll' ),
			array( 'material-design-icon-photo-library' => 'photo library' ),
			array( 'material-design-icon-pinterest-logo' => 'pinterest logo' ),
			array( 'material-design-icon-planet-earth' => 'planet earth' ),
			array( 'material-design-icon-play-arrow' => 'play arrow' ),
			array( 'material-design-icon-play-button-inside-a-circle' => 'play button inside a circle' ),
			array( 'material-design-icon-play-next-button' => 'play next button' ),
			array( 'material-design-icon-play-rounded-button' => 'play rounded button' ),
			array( 'material-design-icon-play-slideshow-button' => 'play slideshow button' ),
			array( 'material-design-icon-plus-one' => 'plus one' ),
			array( 'material-design-icon-poll-symbol-on-black-square-with-rounded-corners' => 'poll symbol on black square with rounded corners' ),
			array( 'material-design-icon-power-connection-indicator' => 'power connection indicator' ),
			array( 'material-design-icon-previous-track' => 'previous track' ),
			array( 'material-design-icon-printer-printing-document' => 'printer printing document' ),
			array( 'material-design-icon-problems-with-synchronization' => 'problems with synchronization' ),
			array( 'material-design-icon-progress-indicator' => 'progress indicator' ),
			array( 'material-design-icon-public-transport-subway' => 'public transport subway' ),
			array( 'material-design-icon-public-transport-train-directions' => 'public transport train directions' ),
			array( 'material-design-icon-puzzle-piece-plugin' => 'puzzle piece plugin' ),
			array( 'material-design-icon-radio-on-button' => 'radio on button' ),
			array( 'material-design-icon-random-line' => 'random line' ),
			array( 'material-design-icon-rate-star-button' => 'rate star button' ),
			array( 'material-design-icon-read-more-left-arrow-button' => 'read more left arrow button' ),
			array( 'material-design-icon-receipt' => 'receipt' ),
			array( 'material-design-icon-record-voice-microphone-button' => 'record voice microphone button' ),
			array( 'material-design-icon-refresh-button' => 'refresh button' ),
			array( 'material-design-icon-refresh-button-1' => 'refresh button' ),
			array( 'material-design-icon-reminder-bow' => 'reminder bow' ),
			array( 'material-design-icon-replay-arrow' => 'replay arrow' ),
			array( 'material-design-icon-reply-all-button' => 'reply all button' ),
			array( 'material-design-icon-report-symbol' => 'report symbol' ),
			array( 'material-design-icon-rewind-button' => 'rewind button' ),
			array( 'material-design-icon-right-arrow-forward' => 'right arrow forward' ),
			array( 'material-design-icon-ring-volume-control-button' => 'ring volume control button' ),
			array( 'material-design-icon-rotate-to-left-button' => 'rotate to left button' ),
			array( 'material-design-icon-rotate-to-right-button' => 'rotate to right button' ),
			array( 'material-design-icon-round-account-button-with-user-inside' => 'round account button with user inside' ),
			array( 'material-design-icon-round-add-button' => 'round add button' ),
			array( 'material-design-icon-round-data-usage-symbol' => 'round data usage symbol' ),
			array( 'material-design-icon-round-delete-button' => 'round delete button' ),
			array( 'material-design-icon-rounded-add-button' => 'rounded add button' ),
			array( 'material-design-icon-rounded-add-button-1' => 'rounded add button' ),
			array( 'material-design-icon-rounded-adjust-button-with-plus-and-minus' => 'rounded adjust button with plus and minus' ),
			array( 'material-design-icon-rounded-block-sign' => 'rounded block sign' ),
			array( 'material-design-icon-rounded-info-button' => 'rounded info button' ),
			array( 'material-design-icon-rounded-pause-button' => 'rounded pause button' ),
			array( 'material-design-icon-rounded-remove-button' => 'rounded remove button' ),
			array( 'material-design-icon-round-error-symbol' => 'round error symbol' ),
			array( 'material-design-icon-round-info-button' => 'round info button' ),
			array( 'material-design-icon-round-pause-button' => 'round pause button' ),
			array( 'material-design-icon-round-remove-button' => 'round remove button' ),
			array( 'material-design-icon-round-rgb-button' => 'round rgb button' ),
			array( 'material-design-icon-rubbish-bin-delete-button' => 'rubbish bin delete button' ),
			array( 'material-design-icon-save-button' => 'save button' ),
			array( 'material-design-icon-schedule-button' => 'schedule button' ),
			array( 'material-design-icon-screen-locked' => 'screen locked' ),
			array( 'material-design-icon-screen-locked-1' => 'screen locked' ),
			array( 'material-design-icon-screen-rotation-button' => 'screen rotation button' ),
			array( 'material-design-icon-screen-rotation-lock-button' => 'screen rotation lock button' ),
			array( 'material-design-icon-screen-with-news-sections' => 'screen with news sections' ),
			array( 'material-design-icon-screen-with-rounded-corners' => 'screen with rounded corners' ),
			array( 'material-design-icon-sd-card' => 'sd card' ),
			array( 'material-design-icon-sd-card-1' => 'sd card' ),
			array( 'material-design-icon-searching-location-gps-indicator' => 'searching location gps indicator' ),
			array( 'material-design-icon-searching-magnifying-glass' => 'searching magnifying glass' ),
			array( 'material-design-icon-select-all' => 'select all' ),
			array( 'material-design-icon-select-brightness-button' => 'select brightness button' ),
			array( 'material-design-icon-send-button' => 'send button' ),
			array( 'material-design-icon-send-to-back-button' => 'send to back button' ),
			array( 'material-design-icon-send-to-front-button' => 'send to front button' ),
			array( 'material-design-icon-server-rack-with-three-levels' => 'server rack with three levels' ),
			array( 'material-design-icon-set-alarm' => 'set alarm' ),
			array( 'material-design-icon-set-timer-button' => 'set timer button' ),
			array( 'material-design-icon-settings-cogwheel-button' => 'settings cogwheel button' ),
			array( 'material-design-icon-settings-cogwheel-inside-black-square' => 'settings cogwheel inside black square' ),
			array( 'material-design-icon-share-button' => 'share button' ),
			array( 'material-design-icon-shared-folder' => 'shared folder' ),
			array( 'material-design-icon-shining-rectangular-object' => 'shining rectangular object' ),
			array( 'material-design-icon-shining-sun' => 'shining sun' ),
			array( 'material-design-icon-shopping-basket-button' => 'shopping basket button' ),
			array( 'material-design-icon-shopping-cart' => 'shopping cart' ),
			array( 'material-design-icon-show-apps-button' => 'show apps button' ),
			array( 'material-design-icon-show-less-fold-button' => 'show less fold button' ),
			array( 'material-design-icon-show-menu-button' => 'show menu button' ),
			array( 'material-design-icon-show-more-button' => 'show more button' ),
			array( 'material-design-icon-show-more-button-with-three-dots' => 'show more button with three dots' ),
			array( 'material-design-icon-shuffle-mode-arrows' => 'shuffle mode arrows' ),
			array( 'material-design-icon-sim-card-problem' => 'sim card problem' ),
			array( 'material-design-icon-smartphone-dock' => 'smartphone dock' ),
			array( 'material-design-icon-smartphone-with-three-buttons' => 'smartphone with three buttons' ),
			array( 'material-design-icon-sms-bubble-speech' => 'sms bubble speech' ),
			array( 'material-design-icon-sms-speech-bubble' => 'sms speech bubble' ),
			array( 'material-design-icon-snake-game' => 'snake game' ),
			array( 'material-design-icon-sort-button-with-three-lines' => 'sort button with three lines' ),
			array( 'material-design-icon-speech-bubble-with-mountains-inside' => 'speech bubble with mountains inside' ),
			array( 'material-design-icon-split-call-arrows' => 'split call arrows' ),
			array( 'material-design-icon-square-add-button' => 'square add button' ),
			array( 'material-design-icon-stop-button' => 'stop button' ),
			array( 'material-design-icon-swap-horizontal-orientation-arrows' => 'swap horizontal orientation arrows' ),
			array( 'material-design-icon-swap-vertical-orientation-arrows' => 'swap vertical orientation arrows' ),
			array( 'material-design-icon-switch-camera-button' => 'switch camera button' ),
			array( 'material-design-icon-switch-to-full-screen-button' => 'switch to full screen button' ),
			array( 'material-design-icon-switch-vertical-orientation-arrows' => 'switch vertical orientation arrows' ),
			array( 'material-design-icon-switch-video-on' => 'switch video on' ),
			array( 'material-design-icon-synchronization-arrows' => 'synchronization arrows' ),
			array( 'material-design-icon-synchronization-button-with-two-arrows' => 'synchronization button with two arrows' ),
			array( 'material-design-icon-synchronization-problem' => 'synchronization problem' ),
			array( 'material-design-icon-tablet-with-blank-screen' => 'tablet with blank screen' ),
			array( 'material-design-icon-tab-symbol' => 'tab symbol' ),
			array( 'material-design-icon-tack-save-button' => 'tack save button' ),
			array( 'material-design-icon-tag-button-with-happy-face' => 'tag button with happy face' ),
			array( 'material-design-icon-telephone-keypad-with-ten-keys' => 'telephone keypad with ten keys' ),
			array( 'material-design-icon-thermostat-temperature-wheel' => 'thermostat temperature wheel' ),
			array( 'material-design-icon-three-columns-layout' => 'three columns layout' ),
			array( 'material-design-icon-three-dots-more-indicator' => 'three dots more indicator' ),
			array( 'material-design-icon-thumb-down-button' => 'thumb down button' ),
			array( 'material-design-icon-thumb-up-button' => 'thumb up button' ),
			array( 'material-design-icon-tick-inside-circle' => 'tick inside circle' ),
			array( 'material-design-icon-time-lapse' => 'time lapse' ),
			array( 'material-design-icon-traffic-light' => 'traffic light' ),
			array( 'material-design-icon-train-public-transport' => 'train public transport' ),
			array( 'material-design-icon-tumblr-logo' => 'tumblr logo' ),
			array( 'material-design-icon-turn-airplane-mode-off' => 'turn airplane mode off' ),
			array( 'material-design-icon-turn-microphone-off-button' => 'turn microphone off button' ),
			array( 'material-design-icon-turn-notifications-off-button' => 'turn notifications off button' ),
			array( 'material-design-icon-turn-notifications-on-button' => 'turn notifications on button' ),
			array( 'material-design-icon-turn-synchronization-off' => 'turn synchronization off' ),
			array( 'material-design-icon-turn-video-off-button' => 'turn video off button' ),
			array( 'material-design-icon-turn-visibility-off-button' => 'turn visibility off button' ),
			array( 'material-design-icon-twitter-logo-on-black-background' => 'twitter logo on black background' ),
			array( 'material-design-icon-two-circles-one-inside-the-other' => 'two circles one inside the other' ),
			array( 'material-design-icon-two-men' => 'two men' ),
			array( 'material-design-icon-two-rows-and-three-columns-layout' => 'two rows and three columns layout' ),
			array( 'material-design-icon-underline-button' => 'underline button' ),
			array( 'material-design-icon-underline-text-button' => 'underline text button' ),
			array( 'material-design-icon-undo-button' => 'undo button' ),
			array( 'material-design-icon-unlocked-padlock' => 'unlocked padlock' ),
			array( 'material-design-icon-up-arrow-key' => 'up arrow key' ),
			array( 'material-design-icon-upload-button' => 'upload button' ),
			array( 'material-design-icon-upload-to-cloud-button' => 'upload to cloud button' ),
			array( 'material-design-icon-usb-symbol' => 'usb symbol' ),
			array( 'material-design-icon-user-account-box' => 'user account box' ),
			array( 'material-design-icon-user-account-box-1' => 'user account box' ),
			array( 'material-design-icon-user-inside-bubble-speech' => 'user inside bubble speech' ),
			array( 'material-design-icon-user-outline' => 'user outline' ),
			array( 'material-design-icon-user-shape' => 'user shape' ),
			array( 'material-design-icon-users-social-symbol' => 'users social symbol' ),
			array( 'material-design-icon-verification-mark' => 'verification mark' ),
			array( 'material-design-icon-videocall-button' => 'videocall button' ),
			array( 'material-design-icon-videocam-filled-tool' => 'videocam filled tool' ),
			array( 'material-design-icon-view-list-button' => 'view list button' ),
			array( 'material-design-icon-virtual-private-network-vpn-symbol' => 'virtual private network vpn symbol' ),
			array( 'material-design-icon-visibility-button' => 'visibility button' ),
			array( 'material-design-icon-voicemail' => 'voicemail' ),
			array( 'material-design-icon-voice-message-microphone-button' => 'voice message microphone button' ),
			array( 'material-design-icon-volume-down-indicator' => 'volume down indicator' ),
			array( 'material-design-icon-volume-muted' => 'volume muted' ),
			array( 'material-design-icon-volume-off-indicator' => 'volume off indicator' ),
			array( 'material-design-icon-volume-up-indicator' => 'volume up indicator' ),
			array( 'material-design-icon-warning-sign' => 'warning sign' ),
			array( 'material-design-icon-watch-with-blank-face' => 'watch with blank face' ),
			array( 'material-design-icon-waving-flag' => 'waving flag' ),
			array( 'material-design-icon-web-server' => 'web server' ),
			array( 'material-design-icon-website-with-different-sections' => 'website with different sections' ),
			array( 'material-design-icon-wifi-high-signal' => 'wifi high signal' ),
			array( 'material-design-icon-wifi-low-signal-with-one-bar' => 'wifi low signal with one bar' ),
			array( 'material-design-icon-wifi-signal-waves' => 'wifi signal waves' ),
			array( 'material-design-icon-window-with-different-sections' => 'window with different sections' ),
			array( 'material-design-icon-work-briefcase' => 'work briefcase' ),
			array( 'material-design-icon-workspace-with-two-horizontal-windows' => 'workspace with two horizontal windows' ),
			array( 'material-design-icon-world-shape-public-symbol' => 'world shape public symbol' ),
			array( 'material-design-icon-write-email-envelope-button' => 'write email envelope button' ),
			array( 'material-design-icon-youtube-logo' => 'youtube logo' ),
		),
	);

	return array_merge( $icons, $imate );
}